spamassassin-sysadmins mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Merijn van den Kroonenberg" <mer...@web2all.nl>
Subject Re: Rule test installation Warnings (bug 7095)
Date Thu, 16 Nov 2017 19:44:25 GMT
> Perhaps this is relevant/helpful:
>
> https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=766718

Ah yes, very helpful, it also mentions:
https://bz.apache.org/SpamAssassin/show_bug.cgi?id=7095

Which concludes its a debian bug and not an SA issue, because debian
included a pre-release.

But I would say, for sake of SA robustness it would be better to apply the
suggested fix as mentioned in the debian bug report:

$txtdata_can_provide_a_list = version->parse(Net::DNS->VERSION) >=
version->parse('0.69');

So the sa-update does not break if anyone, for any reason needs to use a
pre-release version of NET::DNS

>
> On Thu, 16 Nov 2017, Merijn van den Kroonenberg wrote:
>
>>> On 11/16/2017 11:23 AM, shanew@shanew.net wrote:
>>>> Is there a version that has "0.70_01" specified?
>>
>> Actually it looks like developer versions have underscores in the
>> version
>> number
>>
>> lates dev version of NET:DNS:
>> $VERSION = '1.12_03';
>>
>> So I guess the patch
>> version->parse(Net::DNS->VERSION) >= version->parse('0.69');
>> is probably the way to go.
>>
>> maybe its already in latest SA branch, didn't check yet.
>>
>>>
>>> Yeah I think you and Merijn are right.  I've asked.
>>>
>>> Regards,
>>> KAM
>>>
>>>
>>
>>
>
> --
> Public key #7BBC68D9 at            |                 Shane Williams
> http://pgp.mit.edu/                |      System Admin - UT CompSci
> =----------------------------------+-------------------------------
> All syllogisms contain three lines |              shanew@shanew.net
> Therefore this is not a syllogism  | www.ischool.utexas.edu/~shanew



Mime
View raw message